> ## Documentation Index
> Fetch the complete documentation index at: https://docs.watchr.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a review



## OpenAPI

````yaml /api-reference/openapi.json get /reviews/{review_id}
openapi: 3.1.0
info:
  title: Watchr
  version: 0.0.0
servers: []
security: []
paths:
  /reviews/{review_id}:
    get:
      tags:
        - Reviews
      summary: Get a review
      operationId: get_review
      parameters:
        - name: review_id
          in: path
          required: true
          schema:
            type: string
            description: Unique Identifier of a review.
            title: Review Id
          description: Unique Identifier of a review.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Review'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    Review:
      properties:
        movie_id:
          type: string
          title: Movie Id
          description: Unique Identifier of a movie
        author_id:
          type: integer
          title: Author Id
          description: Unique Identifier of a user
        content:
          type: string
          title: Content
        id:
          type: string
          title: Id
          description: Unique Identifier of a review
        author:
          $ref: '#/components/schemas/User'
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        reactions:
          additionalProperties:
            type: integer
          propertyNames:
            $ref: '#/components/schemas/Reaction'
          type: object
          title: Reactions
      type: object
      required:
        - movie_id
        - author_id
        - content
        - id
        - author
        - created_at
        - updated_at
        - reactions
      title: Review
      description: Class for GET of a Review
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    User:
      properties:
        id:
          type: integer
          title: Id
          description: Unique Identifier of a user
        username:
          type: string
          title: Username
        avatar:
          type: string
          title: Avatar
        role:
          type: string
          title: Role
      type: object
      required:
        - id
        - username
        - avatar
        - role
      title: User
      description: Data about a user.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````